---
layout: default
warning: draft
---

* TOC
{:toc}

You can track your assignments through our [Canvas portal]({{site.canvas}}). Please check submission formats for each assignment. Please contact the course staff when in doubt.

Reminder, our class discussion happens using the class [discussion board]({{site.piazza}}) should you have any
questions or run into issue, please contact the course staff.


# Assignments 


| Link to Assignment                                                                         | Turn in Link                                                                  | Due Date |
|--------------------------------------------------------------------------------------------|-------------------------------------------------------------------------------|----------|
| HW1: [Disability Justice]({{site.baseurl}}/assignments/disabilityjustice.html)             | [EdStem discussion post](https://edstem.org/us/courses/31170/discussion/new/) | 1/9      |
| HW2: [Web/App Access Assessment]({{site.baseurl}}/assignments/website.html)                | [Canvas Link](https://canvas.uw.edu/courses/1619674/assignments/7840155)      | 1/23     |
| HW3: [Finding AT around us]({{site.baseurl}}/assignments/finding-accessibility.html)       | [Canvas Link](https://canvas.uw.edu/courses/1628215/assignments/8008424)      | 1/31     |
| HW4: [2nd Wave Accessibility Writeup]({{site.baseurl}}/assignments/technology-review.html) | [Canvas Link](https://canvas.uw.edu/courses/1628215/assignments/8081613)      | 2/7      |
| HW5: [Plain Language]({{site.baseurl}}/assignments/plain-language.html) | | Last week of class | 
| HW7: [Final Project]({{site.baseurl}}/assignments/project.html)                            | TBD                                                                           | Multiple |

# Regrades
Regrades are done per competency, not per assignment. All regrade requests must be submitted at least a week ahead of the last class of the quarter. Please check with your TA about what exactly is required for a regrade for any given competency. 

# Competencies 

Assignment greading will be broken into two parts, as described in the [syllabus]({{site.baseurl}}/index.html). The first part will be completeness, which is 10% of your grade. The second part will be borken into competencies. Some of these are assessed only once, some multiple times. Your We have broken these into categories as described below. 

Your grade in the class will be based on whether you achieve competency in each of these topics, meaning that by the last time you are assessed, you are above the cutoff for competency. In addition, you must complete at least
2/3 of the competencies in a category to pass the class. 

## Disability Awareness and Justice

| Competency                                             | Asesssed in Which Assignment? |
|--------------------------------------------------------|-------------------------------|
| Disability Justice                                     | HW1, Final Project            |
| Familiarity with a Range of Accessibility Technologies | HW2, HW3                      |
| Finding First Person Accounts of Disability Technology | HW2, Final Project            |

## Accessibility Compliance
(incomplete list)

| Competency                                            | Asesssed in Which Assignment? |
|-------------------------------------------------------|-------------------------------|
| Accessibility Problem Fixes                           | HW3, Final Project            |
| Accessibility Technology Based Accessibility Checking | HW3, Final Project            |
| Automated Accessibility Checking                      | HW3, Final Project            |
| Comfortable Applying Web/App Accessibility Rules      | HW3, Final Project            |

## Accessible Media
(incomplete list)

| Competency                           | Asesssed in Which Assignment?        |
|--------------------------------------|--------------------------------------|
| Accessible Document Creation         | ALl                                  |
| Accessible Video Creation (Optional) | HW4, HW5, Final Project                   |
| Acessible Presentation Creation      | HW2, Final Project                   |
| Image Description                    | HW2, HW3, Hw4, Final Project         |
| Plain Language Writing               | HW5, may apply to other HW by choice |
| Presenting Accessibly                | HW2, Final Project                   |


## TBD
Other things will be assessed as assignments are finalized. 



