---
layout: assignment
published: true

title: Plain Language
code: hw5

assigned: Anytime
due: 
   - Last week of class
  
revised: Feb 5, 2023

---

* TOC
{:toc}

# Learning Goals

Practice plain language writing

## 1. Select Text and Audience


Select one assignment, reading question answer, or other text you need to *write* or *make a video* about.. Pick a topic you think would be useful to practice plain writing for. A good choice is an introduction to a topic; or a short essay such as an answer to a reading question; a video summary, or something you are writing anyway for a general audience.

You also need to select an audience. This could be a general, non-scientific public; or could go beyond that to focus on someone with an intellectual disability. The Plain Writing Act of, described on [plainlanguage.gov](https://www.plainlanguage.gov/law/), "requires federal agencies use clear government communication that the public can understand and use." According to [WCAG guidelines](https://www.w3.org/WAI/GL/WCAG3/2021/how-tos/clear-words/), plain language also "benefit individuals who live with cognitive and learning disabilities, language impairments, memory impairments, and autism." You can decide which of these audiences to focus on, and should specify that when you hand in this assignment.


## 2. Write/Talk about the technology using plain language techniques

Write or rewrite that paragraph using the plain language techniques you [learned in class](https://courses.cs.washington.edu/courses/csep590b/23wi/slides/plain-language.html). Please note that if you choose to create a video, we cannot provide as
many resources about plain language. However, many of the same
principals that you would use for an essay apply. Some apply to the
video script (such as don't use jargon) and some might apply to the
video structure (such as having clear transitions rather than
headers).

In addition to using plain language techniques, please make sure that the document
and/or video you produce is accessible. In the case of the document,
you should use a single column format; label headers properly (in
word, pdf, or html); and include alt text for images (again in any
format). In the case of a video, you should present accessibly; and
include captions and verbally describing important visual elements.

Please choose at least five of the  ten plain language
principals [presented in class](https://courses.cs.washington.edu/courses/csep590b/23wi/slides/designing.html#24) and include an addendum saying which five you picked.

# Turnin

You will turn this assignment in on canvas.

- Upload your document or link to your video using plain language techniques
- Upload a list of the principles that you applied
- Upload a document containing the ALT text for each figure, if any

# Competencies
This homework may contribute to your competency grade on 
- Image description
- Accessible document creation
- Accessible video creation 
- Plain language writing techniques
- Your participation grade, as a percentage of completeness (are all the required parts present)
