---
layout: assignment
published: true

title: Final Project
code: hw7

assigned: Feb 7, 2023
due:
 - <strong>Post and comment on ideas on Ed</strong> by Feb 10, 2023
 - <strong>Submit slides on Canvas and present your project in class</strong> Feb 14, 2023
 - <strong>Checkpoint Meetings with Course Staff</strong> Feb 28-March 7, 2023
 - <strong>Final presentations and deliverables due</strong> Final Exam Timeslot, March 14, 6:30pm, 2023
 

revised: February 5, 2023

objective: Make the world slightly more accessible

---
The goal of your final project is to build an accessibility technology or make an existing technology more accessible. Some examples of what people have done in the past include:

- [Making a light mode for zoom](https://students.washington.edu/sgbowen8/light-mode/)
- [Creating a plugin for word to prompt for better alt text](https://thenorthwes.github.io/improved-word-alt-text/)
- [Make arduino programming more accessible](https://uwcse-nsds.github.io/arduino-a11y/)
- Make a system to help someone with motor impairments create [macros for fixing typos](https://katyp.github.io/input_macros)
- Improving [coding acessiblity for BLV people in vscode](https://kburtram.github.io/CodeTalk/)

In choosing this project, you may want to draw from personal expertise, literature, or user data should you have access to it. 

- You must take a disability justice perspective on your project, meaning you should be able to make a case for how your project either directly, or indirectly, addresses one or more principals of disability justice. Think critically about whether and how your project empowers and gives agency to people with disabilities, as well as the extent to which it expects/engages the larger structural issues around the problem you’re trying to solve. 

- You should inform your project from first person accounts if at all possible. 
  - If you cannot find first person commentary on the topic, please reach out to the course staff for help. We may tell you not to worry about it, or point you at resources
  - This should not unduly burden the disability comumnity. Some projects may allow for direct collaboration with or feedback from people with disabilities, others may not. Please reach out to us for guidance on this if you intend to work with disabled participants. 

- Your project must include an implementation component. Your implementation should include an accessibility assessemnt. 
- It is not feasible to do a full iterative design cycle in this project (and not necessarily an ethical use of the time of people with disabilities). However if you want to include data from interviewing, or testing with, people with disabilities, that is permissable. 

Given the number of weeks available, be careful not to overcommit. You must figure out how to fit this all in a brief timeline. In particular, your final project will have four phases, and may be individual or a group project

# Idea pitch and team formation (if working in a group)
By February 10, 2023, you will make a discussion post with an idea of your choosing, and comment on at least one of the ideas posted by other students on [Ed]({{site.discussion}}/2501386) before class. *Every student needs to make a discussion post*.

For your submission to [Ed]({{site.discussion}}/2501386) Please preopare a post that addresses the following:
1. Describe your project.
  - What first person data informed it
  - What will you do? How does it address disability justice?
  - How will you do it? Why is this feasible (timeline, etc)
  - Who is in your group, if you're working in a team. 
  - Group size is limited to a maximum of four people (three or fewer is preferred).

# Proposal Presentation
On February 14, 2023, you will present a slide deck  with up to six slides that describe your proposed project. The slides should contain:
- Promise: How the world will be better based on your project? What Disability Justice principal does this address.
- Obstacle: Why we don’t have this already?
- Solution: How you will achieve the promise? This will most likely be primarily technical
- Related work: It should also include a related work section with at least one first person account, existing technology, etc. Related work should as much as possible be informed by perspectives or your end users, people with disabilities.
- Timeline: Finally, it should include a timeline showing that this is feasible.
Also report on the status of your team formation if you have a team. Who are your team members? If you are working by yourself on the project, please indicate this in your proposal. 

# CheckPoints 

*Development*: Please drop by office hours if you need guidance on any aspect of your project. The course staff can work with you on a case-by-case basis if you are unable to attend office hours and would like to meet at a different time. We will also hold a day of individual meetings with groups in the final week of the quarter.

There will also be a midpoint checkin individually with Jen & Kelly; Details TBD.

# Final project deliverables
Your final set of deliverables are due March 14: 
 - a slide deck presenting your work (you will present this in the class final exam slot). Presentation length TBD depending on the number of groups.
 - a public-facing web page containing a write-up of your project on a platform we will announce (e.g. [instructables](https://www.instructables.com/))
 - a list of competencies you want to be graded on Note that for each competency, you will need to meet the requirements of the rubric for that competency, and additionally turn in a description of what part of your final project handin should be used to assess this, and what your role was in producing that.

## Slides
You will submit, and present slides in-class. You will follow a similar format as your proposal 1 presentations, but will focus more on your solutions. Presentation time will be decided based on group formation and number of projects. Please ensure that your submitted slides are accessible and that you are making best-effort to present accessibly while staying on-time.

## Webpage
You will make a (minimum W3C Level A) accessible, public-facing webpage. There are several simple options for you to host a public-facing page, we'll post more details about that. 

You should also follow the writing guidelines put out by [SIGACCESS for writing about disability](https://www.sigaccess.org/welcome-to-sigaccess/resources/accessible-writing-guide/)

Your page should contain the following:

- Text describing: 
  - Introduction– 1-3 paragraphs: Present the promise/ obstacle/ solution for your project— What is the problem you are solving and why is it important to solve it? 
  - Related Work– 1-3 paragraphs: Talk about relevant work that closely connects with your project.
  - Methodology– about 3 paragraphs: What did you do in your project- what did you design or implement? What role did people with disabilities play in this, if any
  - Disability Justice Perspective– 1 paragraph: How did a disability studies perspective inform your project?
  - Learnings and future work -- 1-2 paragraphs: Describe what you learned and how this can be extended/ built on in the future.
  - How you made your app accessible -- 1-2 paragrphs and (optionally) UARS you found in an appendix 
  
## Competencies

Your final project will contribute to your competency grade on:
- Disability Awareness and Justice (including Disability Justice Framing; Finding First Person Accounts)
- Accessibility Compliance (including Accessibility Problem Fixes; Automated Checking (if you turn in relevant UARS); AT based Checking (if you turn in relevant UARS)) 
- Accessible Media and Documents (including Accessible Document Creation; Accessible Presentation Deck; Accessible Presenting; Image Description). 
- Participation (one participation grade for each phase -- i.e. Idea pitching; Milestone 1 presentation; Final Project Deliverables)



