---
layout: default
---
* TOC
{:toc}


# COVID-19 Safety
All policies below are designed to match guidance from the
[University of Washington](https://www.washington.edu/coronavirus/spring2022/).
It is possible for guidance to change as the pandemic evolves over the coming months, so we
will update this page as rules/regulations change.


# Masking
Masking is currently optional, but ``strongly recommended indoors'' according to the [UW face covering policy](https://www.ehs.washington.edu/covid-19-prevention-and-response/face-covering-policy). 

In this class, people in the room include those who are high risk with respect to COVID and people who live with vulnerable family members. To help support the needs of these individuals, masks will be available in the classroom as you enter, and if you would like to mask, you are welcome to make use of them. 

When masking, UW's masking policy states 
> University strongly recommends wearing a well-fitted, high-quality mask indoors (e.g., KN95, N95, KF94 and surgical masks) to reduce the potential for transmission. High-quality masks are available at no cost in several locations on each campus. University units can purchase high-quality facemasks from the Safe and Clean Storefront. 

# Remote Access

If you are sick or have potentially been exposed to COVID-19, **stay home**. We will not be
assessing you on attendance, so you will not be penalized for missing class to keep our community safe.
See more [here](https://www.washington.edu/coronavirus/faq/#health).

Below, we briefly describe the accommodations for students having to miss class due to potential
illness, with full information in the linked pages.

- [Lectures](index.html#lectures): Course content will be posted as a set of readings/videos
  that can be watch asynchronously. Recordings of the live class posted on course website, and all
  materials posted online.
- [Office Hours](index.html#course-support): We will host remote office hours.
  Please contact the   course staff on the [discussion board]({{site.discussion}})
  if none of the times/locations work for you.
- [Asynchronous help]({{site.discussion}}) is available via the [Discussion Board]({{site.discussion}}),
  post online to get asynchronous help from a member of the course staff.

# Other questions you may have
## Do you need to maintain social distancing?

Vaccinations and masking provide strong protection against the spread of COVID. Currently, UW does
not require social distancing in the classroom or office hours for students who are vaccinated and
wearing a mask.

Of course, some students might feel more comfortable keeping a little distance. If you would like
to keep space between you and another student, please kindly ask them to leave a space between you
and them if there is room available. Similarly, if someone asks you to maintain a space
between them, please respect that request if possible.

## What if you get sick?

See [this FAQ](https://www.washington.edu/coronavirus/faq/) by UW on what you should do if you get
sick. You should also check out the [Remote Access](#remote-access) options listed above!

## What if you are potentially exposed to COVID-19?

Follow the recommendations outlined in this
[flowchart by EH&S](https://www.ehs.washington.edu/system/files/resources/COVID-19-public-health-flowchart.pdf).

## What if Jen or your TA gets sick?

The course staff is committed to keeping you safe, so we will not make you risk a potential exposure
to COVID to attend class. If one of the course staff feels ill, we will move any in-person activities
we are hosting to be purely online or have
someone else on the course staff fill in for us while we are potentially contagious.

Please make sure you check your email frequently for announcements from the
[discussion board]({{site.discussion}}) and before you attend an in-person event to make sure it is
still happening in-person. We will always try our best to give as advanced notice as possible for
any changes from in-person to remote for a day.


### Acknowledgment

This site was copied and modified with permission from [CSE 163](https://courses.cs.washington.edu/courses/cse340/22wi/covid-safety.html) and [CSE 340](https://courses.cs.washington.edu/courses/cse163/22sp/covid_safety/). 
